### Name: gtm_ri
### Title: Returns an initial random weight matrix
### Aliases: gtm_ri
### Keywords: cluster models

### ** Examples

  T = matrix(3:61/20, ncol=1);
  T = cbind(T, T + 1.25 * sin(2*T));
  # plot of sample data 
  plot(T[,1], T[,2], col='red', pch=21, xlim=c(0, 3.5), ylim=c(0,3.5))
    
  # setup and training
  X = gtm_pts(20)
  MU = gtm_pts(5)
  sigma = 1
  FI = gtm_gbf(MU, sigma, X)
  W = gtm_ri(T, FI);
  Y = FI 
  
  # plot of initialized data
  matplot(Y[,1], Y[,2], col='green', add=TRUE, type='p', pch=23)
  beta = gtm_bi(Y)
  symbols(x=Y[,1], y=Y[,2], circles=matrix(sqrt(1/beta) ,ncol=1,nrow=nrow(Y)),
     fg='green',add=TRUE, inches=FALSE);
  
  trnResult = gtm_trn(T, FI, W, 0.0, 20, beta, quiet=TRUE);

  # plot of trained results
  Y = FI 
  matplot(Y[,1], Y[,2], col='blue', type='l', add=TRUE)
  matplot(Y[,1], Y[,2], col='blue', type='p', add=TRUE, pch=22)
  b = trnResult$beta
  symbols(x=Y[,1], y=Y[,2], circles=matrix(sqrt(1/b) ,ncol=1,nrow=nrow(Y)),
     fg='blue',add=TRUE, inches=FALSE);
  



