### Name: gtm_stp2
### Title: Generates the components of a GTM with a 2D latent space
### Aliases: gtm_stp2
### Keywords: cluster models

### ** Examples

  T = matrix(3:61/20, ncol=1);
  T = cbind(T, T + 1.25 * sin(2*T));
  # plot of sample data 
  plot(T[,1], T[,2], col='red', pch=21, xlim=c(0, 3.5), ylim=c(0,3.5))
    
  # setup and training
  stpResult = gtm_stp2(T, 81, 25, 2);
  stpY = stpResult$FI 
  
  # plot initialized data points
  matplot(stpY[,1], stpY[,2], col='green', add=TRUE, type='l')
  matplot(stpY[,1], stpY[,2], col='green', add=TRUE, type='p', pch=23)



