### Name: gtm_trn
### Title: Optimize (train) the parameters of a GTM model, using an EM
###   algorithm.
### Aliases: gtm_trn
### Keywords: cluster models

### ** Examples

  T = matrix(3:61/20, ncol=1);
  T = cbind(T, T + 1.25 * sin(2*T));
  # plot of sample data 
  plot(T[,1], T[,2], col='red', pch=21, xlim=c(0, 3.5), ylim=c(0,3.5))
    
  # setup and training
  stpResult = gtm_stp1(T, 20, 5, 2);
  trnResult = gtm_trn(T, stpResult$FI, stpResult$W, 0.0, 20, stpResult$beta);

  # plot of trained results
  Y = stpResult$FI 
  plot(Y[,1], Y[,2], col='green', type='l')



